Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Fields | Ctors | Inherited Methods | [Expand All]
public static final class

# R.id

extends Object

java.lang.Object
↳ | com.google.android.gms.R.id

## Summary

Fields
public static int | demote_common_words |
public static int | demote_rfc822_hostnames |
public static int | html |
public static int | hybrid |
public static int | icon_uri |
public static int | intent_action |
public static int | intent_activity |
public static int | intent_data |
public static int | intent_data_id |
public static int | intent_extra_data |
public static int | large_icon_uri |
public static int | match_global_nicknames |
public static int | none |
public static int | normal |
public static int | plain |
public static int | rfc822 |
public static int | satellite |
public static int | terrain |
public static int | text1 |
public static int | text2 |

Public Constructors
| R.id()

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Fields

#### public static int demote_common_words

#### public static int demote_rfc822_hostnames

#### public static int html

#### public static int hybrid

#### public static int icon_uri

#### public static int intent_action

#### public static int intent_activity

#### public static int intent_data

#### public static int intent_data_id

#### public static int intent_extra_data

#### public static int large_icon_uri

#### public static int match_global_nicknames

#### public static int none

#### public static int normal

#### public static int plain

#### public static int rfc822

#### public static int satellite

#### public static int terrain

#### public static int text1

#### public static int text2

## Public Constructors

#### public R.id ()